AbstractSender (Apache Tomcat 10.1.7 API Documentation)

Package org.apache.catalina.tribes.transport

## Class AbstractSender

- java.lang.Object
- - org.apache.catalina.tribes.transport.AbstractSender

- All Implemented Interfaces:
    `DataSender`
  Direct Known Subclasses:
    `NioSender`, `ParallelNioSender`, `PooledSender`

      public abstract class AbstractSender
      extends Object
      implements DataSender

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractSender()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract void` | `connect()` | connect
    `abstract void` | `disconnect()` | disconnect TODO Implement this org.apache.catalina.tribes.transport.DataSender method
    `InetAddress` | `getAddress()` |
    `int` | `getAttempt()` |
    `long` | `getConnectTime()` |
    `Member` | `getDestination()` |
    `boolean` | `getDirectBuffer()` |
    `int` | `getKeepAliveCount()` |
    `long` | `getKeepAliveTime()` |
    `int` | `getMaxRetryAttempts()` |
    `boolean` | `getOoBInline()` |
    `int` | `getPort()` |
    `int` | `getRequestCount()` |
    `int` | `getRxBufSize()` |
    `boolean` | `getSoKeepAlive()` |
    `boolean` | `getSoLingerOn()` |
    `int` | `getSoLingerTime()` |
    `boolean` | `getSoReuseAddress()` |
    `int` | `getSoTrafficClass()` |
    `boolean` | `getTcpNoDelay()` |
    `boolean` | `getThrowOnFailedAck()` |
    `long` | `getTimeout()` |
    `int` | `getTxBufSize()` |
    `int` | `getUdpPort()` |
    `int` | `getUdpRxBufSize()` |
    `int` | `getUdpTxBufSize()` |
    `boolean` | `isConnected()` |
    `boolean` | `isUdpBased()` |
    `boolean` | `keepalive()` | keepalive
    `void` | `setAddress​(InetAddress address)` |
    `void` | `setAttempt​(int attempt)` |
    `protected void` | `setConnected​(boolean connected)` |
    `void` | `setConnectTime​(long connectTime)` |
    `void` | `setDestination​(Member destination)` |
    `void` | `setDirectBuffer​(boolean directBuffer)` |
    `void` | `setKeepAliveCount​(int keepAliveCount)` |
    `void` | `setKeepAliveTime​(long keepAliveTime)` |
    `void` | `setMaxRetryAttempts​(int maxRetryAttempts)` |
    `void` | `setOoBInline​(boolean ooBInline)` |
    `void` | `setPort​(int port)` |
    `void` | `setRequestCount​(int requestCount)` |
    `void` | `setRxBufSize​(int rxBufSize)` |
    `void` | `setSoKeepAlive​(boolean soKeepAlive)` |
    `void` | `setSoLingerOn​(boolean soLingerOn)` |
    `void` | `setSoLingerTime​(int soLingerTime)` |
    `void` | `setSoReuseAddress​(boolean soReuseAddress)` |
    `void` | `setSoTrafficClass​(int soTrafficClass)` |
    `void` | `setTcpNoDelay​(boolean tcpNoDelay)` |
    `void` | `setThrowOnFailedAck​(boolean throwOnFailedAck)` |
    `void` | `setTimeout​(long timeout)` |
    `void` | `setTxBufSize​(int txBufSize)` |
    `void` | `setUdpBased​(boolean udpBased)` |
    `void` | `setUdpPort​(int udpPort)` |
    `void` | `setUdpRxBufSize​(int udpRxBufSize)` |
    `void` | `setUdpTxBufSize​(int udpTxBufSize)` |
    `static void` | `transferProperties​(AbstractSender from, AbstractSender to)` | transfers sender properties from one sender to another

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractSender

          public AbstractSender()

  - ### Method Detail

    - #### transferProperties

          public static void transferProperties​(AbstractSender from,
                                                AbstractSender to)

      transfers sender properties from one sender to another
      Parameters:
        `from` - AbstractSender
        `to` - AbstractSender

    - #### connect

          public abstract void connect()
                                throws IOException

      connect
      Specified by:
        `connect` in interface `DataSender`
      Throws:
        `IOException` - TODO Implement this org.apache.catalina.tribes.transport.DataSender method

    - #### disconnect

          public abstract void disconnect()

      disconnect TODO Implement this org.apache.catalina.tribes.transport.DataSender method
      Specified by:
        `disconnect` in interface `DataSender`

    - #### keepalive

          public boolean keepalive()

      keepalive
      Specified by:
        `keepalive` in interface `DataSender`
      Returns:
        boolean TODO Implement this org.apache.catalina.tribes.transport.DataSender method

    - #### setConnected

          protected void setConnected​(boolean connected)

    - #### isConnected

          public boolean isConnected()

      Specified by:
        `isConnected` in interface `DataSender`

    - #### getConnectTime

          public long getConnectTime()

      Specified by:
        `getConnectTime` in interface `DataSender`

    - #### getDestination

          public Member getDestination()

    - #### getKeepAliveCount

          public int getKeepAliveCount()

    - #### getKeepAliveTime

          public long getKeepAliveTime()

    - #### getRequestCount

          public int getRequestCount()

      Specified by:
        `getRequestCount` in interface `DataSender`

    - #### getRxBufSize

          public int getRxBufSize()

    - #### getTimeout

          public long getTimeout()

    - #### getTxBufSize

          public int getTxBufSize()

    - #### getAddress

          public InetAddress getAddress()

    - #### getPort

          public int getPort()

    - #### getMaxRetryAttempts

          public int getMaxRetryAttempts()

    - #### setDirectBuffer

          public void setDirectBuffer​(boolean directBuffer)

    - #### getDirectBuffer

          public boolean getDirectBuffer()

    - #### getAttempt

          public int getAttempt()

    - #### getTcpNoDelay

          public boolean getTcpNoDelay()

    - #### getSoKeepAlive

          public boolean getSoKeepAlive()

    - #### getOoBInline

          public boolean getOoBInline()

    - #### getSoReuseAddress

          public boolean getSoReuseAddress()

    - #### getSoLingerOn

          public boolean getSoLingerOn()

    - #### getSoLingerTime

          public int getSoLingerTime()

    - #### getSoTrafficClass

          public int getSoTrafficClass()

    - #### getThrowOnFailedAck

          public boolean getThrowOnFailedAck()

    - #### setKeepAliveCount

          public void setKeepAliveCount​(int keepAliveCount)

      Specified by:
        `setKeepAliveCount` in interface `DataSender`

    - #### setKeepAliveTime

          public void setKeepAliveTime​(long keepAliveTime)

      Specified by:
        `setKeepAliveTime` in interface `DataSender`

    - #### setRequestCount

          public void setRequestCount​(int requestCount)

    - #### setRxBufSize

          public void setRxBufSize​(int rxBufSize)

      Specified by:
        `setRxBufSize` in interface `DataSender`

    - #### setTimeout

          public void setTimeout​(long timeout)

      Specified by:
        `setTimeout` in interface `DataSender`

    - #### setTxBufSize

          public void setTxBufSize​(int txBufSize)

      Specified by:
        `setTxBufSize` in interface `DataSender`

    - #### setConnectTime

          public void setConnectTime​(long connectTime)

    - #### setMaxRetryAttempts

          public void setMaxRetryAttempts​(int maxRetryAttempts)

    - #### setAttempt

          public void setAttempt​(int attempt)

    - #### setTcpNoDelay

          public void setTcpNoDelay​(boolean tcpNoDelay)

    - #### setSoKeepAlive

          public void setSoKeepAlive​(boolean soKeepAlive)

    - #### setOoBInline

          public void setOoBInline​(boolean ooBInline)

    - #### setSoReuseAddress

          public void setSoReuseAddress​(boolean soReuseAddress)

    - #### setSoLingerOn

          public void setSoLingerOn​(boolean soLingerOn)

    - #### setSoLingerTime

          public void setSoLingerTime​(int soLingerTime)

    - #### setSoTrafficClass

          public void setSoTrafficClass​(int soTrafficClass)

    - #### setThrowOnFailedAck

          public void setThrowOnFailedAck​(boolean throwOnFailedAck)

    - #### setDestination

          public void setDestination​(Member destination)
                              throws UnknownHostException

      Throws:
        `UnknownHostException`

    - #### setPort

          public void setPort​(int port)

    - #### setAddress

          public void setAddress​(InetAddress address)

    - #### isUdpBased

          public boolean isUdpBased()

    - #### setUdpBased

          public void setUdpBased​(boolean udpBased)

    - #### getUdpPort

          public int getUdpPort()

    - #### setUdpPort

          public void setUdpPort​(int udpPort)

    - #### getUdpRxBufSize

          public int getUdpRxBufSize()

    - #### setUdpRxBufSize

          public void setUdpRxBufSize​(int udpRxBufSize)

    - #### getUdpTxBufSize

          public int getUdpTxBufSize()

    - #### setUdpTxBufSize

          public void setUdpTxBufSize​(int udpTxBufSize)